// inputs.h is part of the CHIRON ChPT at two loops program collection
// Copyright (C) 2014 Johan Bijnens, v1.0
// CHIRON is licenced under the GNU GPL version 2 or later,
// see COPYING for details.
// Please respect the Guidelines, see GUIDELINES for details.

// Header file for the definitions of classes physmass, Li and Ci as well
// as associated functions


#ifndef INPUTS_H
#define INPUTS_H

#include <string>
#include <iostream>
using namespace std;

class physmass{
 private:
  double mpi,mk,meta,fpi,mu;
 public:
  physmass(const double mpiin =0.135, const double mkin=0.495,
	   const double metain =0.548,  const double fpiin=0.0922,
	   const double muin =0.77);
  void setmpi(const double mpiin=0.135);
  void setmk(const double mkin=0.495);
  void setmeta(const double metain=0.548);
  void setfpi(const double fpiin=0.0922);
  void setmu(const double muiin=0.77);
  void out(double &mpiout, double &mkout, double &metaout, double &fpiout,
      double &muout) const;
  double getmpi(void) const;
  double getmk(void) const;
  double getmeta(void) const;
  double getfpi(void) const;
  double getmu(void) const;
  friend ostream & operator<<(ostream & os,const physmass & bb); // output
  friend istream & operator>>(istream & is,physmass & bb); // input
  friend bool operator==(const physmass mass1,const physmass mass2);
  ~physmass(void);
};
#endif // INPUTS_H
